| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSCF Struct Reference
Subscriber Features

Selective Call Forwarding. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
unsp__ServiceId | ServiceId
| Indicates the destination number or alphanumeric SIP URI to which calls are forward when callers are found to be in the screening list. More...
unsp__Enabled * | SplashRing
| Indicates whether the subscriber's phone will ring once as a reminder when a call is forwarded. More...
struct unsp__ScreenList * | ScreenList
| List of calling numbers to forward. More...
xsd__boolean * | BlackList
| Specifies whether the ScreeningList of DNs associated with the SCF feature is a white list (only calling DNs on the list are forwarded) or a black list (all calling DNs are forwarded except those on the list). More...
struct unsp__CfSCF_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Selective Call Forwarding.

The Selective Call Forwarding feature provides the capability to build a list of numbers (a screening list) which the subscriber wants to automatically forward to another destination. When a caller's number matches a number on the forwarding list, the call is forwarded to the redirect number. This can be another telephone, another subscriber, voice mail, or an announcement. When the caller's number is not on the forwarding list, the call is completed as usual.
MP2 command: CFSCF [Attributes]

## Member Data Documentation

## ◆ BlackList

xsd__boolean* unsp__CfSCF::BlackList

Specifies whether the ScreeningList of DNs associated with the SCF feature is a white list (only calling DNs on the list are forwarded) or a black list (all calling DNs are forwarded except those on the list).

required: false
default value[range]: false

## ◆ Enabled

unsp__Enabled* unsp__CfSCF::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSCF_locPres* unsp__CfSCF::Local

Local Presence flags.

## ◆ ScreenList

struct unsp__ScreenList* unsp__CfSCF::ScreenList

List of calling numbers to forward.

Callers on this list will not be put through to the subscriber, but instead will be forwarded to the specified destination.
required: false

## ◆ ServiceId

unsp__ServiceId unsp__CfSCF::ServiceId

Indicates the destination number or alphanumeric SIP URI to which calls are forward when callers are found to be in the screening list.

required: true, if the feature is enabled

See also
  unsp__CFTarget

## ◆ SplashRing

unsp__Enabled* unsp__CfSCF::SplashRing

Indicates whether the subscriber's phone will ring once as a reminder when a call is forwarded.

required: false
default value[range]: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSCF::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h